<div class="container-fluid">
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page"><%=dictionary.page.permissions.name%></li>
    </ol>
  </nav>

  <div class="permanent__permission-section mt-5">
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item active" aria-current="page">zgoda permanentna</li>
      </ol>
    </nav>

    <% let permanentPermission = [] %>
    <% for(let i = 0; i < permissions.length; i++) { %>
    <% if(new Date(permissions[i].ValidTo).getTime() > new Date().getTime() && permissions[i].Scope.toLowerCase() === "all" && permissions[i].ViewerId === "Cyber" && permissions[i].PermissionType === "Public") { %>
    <% permanentPermission.push(permissions[i]) %>
    <% permissions.splice(i, 1); %>
    <% break; %>
    <% } %>
    <% } %>

    <div class="row">
      <div class="col">
        <div class="mdc-card justify-content-center align-items-center flex-row">
          <h7 class="m-0 me-2">zgoda dla wszystkich serwisów: </h7>
          <div class="btn-group">
            <% if(permanentPermission.length > 0 && permanentPermission[0].PermissionStatus === "Active") { %>
            <button data-status="inactive" class="btn btn-secondary btn-sm dropdown-toggle fw-bold" type="button" data-bs-toggle="dropdown" aria-expanded="false" style="background: var(--navbar-background);">
              włączona
            </button>
            <ul class="dropdown-menu">
              <li><a class="dropdown-item" href="javascript:void(0)" onClick="permanentPermissionUpdate(this)" <% if(permanentPermission.length > 0) { %> data-perm-id="<%=permanentPermission[0].PermissionId%>" <% } %> data-status="false">wyłącz</a>
              </li>
            </ul>
            <% } else { %>
            <button data-status="inactive" class="btn btn-secondary btn-sm dropdown-toggle fw-bold" type="button" data-bs-toggle="dropdown" aria-expanded="false" style="background: var(--navbar-background);">
              wyłączona
            </button>
            <ul class="dropdown-menu">
              <li><a class="dropdown-item" href="javascript:void(0)" onClick="permanentPermissionUpdate(this)" <% if(permanentPermission.length > 0) { %> data-perm-id="<%=permanentPermission[0].PermissionId%>" <% } %> data-status="true">włącz</a>
              </li>
            </ul>
            <% } %>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="flexible__permission-section mt-5">
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item active" aria-current="page">zgody dla klientów biznesowych</li>
      </ol>
    </nav>
    <div class="row">
      <div class="col">
        <% if(permanentPermission.length > 0 && permanentPermission[0].PermissionStatus === "Active") { %>
        <div class="mdc-card justify-content-center align-items-center">
          <h7> wszystkie zgody są aktywne </h7>
        </div>
        <% } else if(permissions && permissions.length > 0) { %>
        <div class="mdc-card">
          <div class="accordion accordion-flush" id="accordionFlushExample">
            <!-- tu musi byc petla do powielenia accordion-item pod warunkiem ze zgody wszystkie są wyłączone -->

            <% const viewers = []; %>
            <% const scopes = []; %>
            <% const permissions_id = []; %>
            <% for(let i = 0; i < permissions.length; i++) { %>
            <% if(!viewers.includes(permissions[i].ViewerId)) { %>
            <% viewers.push(permissions[i].ViewerId)%>
            <% } %>

            <% if(!scopes[viewers.indexOf(permissions[i].ViewerId)] && !permissions_id[viewers.indexOf(permissions[i].ViewerId)]) { %>
            <% scopes[viewers.indexOf(permissions[i].ViewerId)] = []; %>
            <% permissions_id[viewers.indexOf(permissions[i].ViewerId)] = []; %>
            <% } %>

            <% if(permissions[i].PermissionStatus === "Active" && new Date(permissions[i].ValidTo).getTime() > new Date().getTime()) {%>
            <% scopes[viewers.indexOf(permissions[i].ViewerId)].push(permissions[i].Scope) %>
            <% permissions_id[viewers.indexOf(permissions[i].ViewerId)].push(permissions[i].PermissionId) %>
            <% }%>
            <% } %>

            <!-- powielamy accordion item -->
            <% for(let k = 0; k < viewers.length; k++) { %>
            <div class="accordion-item" data-viewer="<%=viewers[k]%>">
              <h2 class="accordion-header" id="flush-heading-<%=k%>">
                <button class="bg-default accordion-button <% if(!e_show.includes(viewers[k])) { %> collapsed <% } %>" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapse-<%=k%>" aria-expanded="false"
                  aria-controls="flush-collapse-<%=k%>">
                  <%=viewers[k]%>
                </button>
              </h2>
              <div id="flush-collapse-<%=k%>" class="accordion-collapse collapse <% if(e_show.includes(viewers[k])) { %> show <% } %>" aria-labelledby="flush-heading-<%=k%>" data-bs-parent="#accordionFlushExample">
                <div class="accordion-body">
                  <ul class="list-group list-group-flush">
                    <div class="mt-3">
                      <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-1">
                          <li class="breadcrumb-item active" aria-current="page">podstawowa</li>
                        </ol>
                      </nav>
                      <li class="list-group-item pt-2 pb-2 border-0"><input class="form-check-input me-2" type="checkbox" value="" data-scope="user_id" <% if(scopes[k].includes("user_id")) { %> checked
                          data-perm-id="<%=permissions_id[k][scopes[k].indexOf("user_id")]%>" <% } %>>identyfikator użytkownika</li>
                    </div>
                    <div class="mt-3">
                      <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-1">
                          <li class="breadcrumb-item active" aria-current="page">tożsamości</li>
                        </ol>
                      </nav>
                      <li class="list-group-item pt-2 pb-2 border-0"><input class="form-check-input me-2" type="checkbox" value="" data-scope="profile" <% if(scopes[k].includes("profile")) { %> checked
                          data-perm-id="<%=permissions_id[k][scopes[k].indexOf("profile")]%>" <% } %>>profil</li>
                      <li class="list-group-item pt-2 pb-2 border-0"><input class="form-check-input me-2" type="checkbox" value="" data-scope="extended" <% if(scopes[k].includes("extended")) { %> checked
                          data-perm-id="<%=permissions_id[k][scopes[k].indexOf("extended")]%>" <% } %>>rozszerzony</li>
                      <li class="list-group-item pt-2 pb-2 border-0"><input class="form-check-input me-2" type="checkbox" value="" data-scope="shopping" <% if(scopes[k].includes("shopping")) { %> checked
                          data-perm-id="<%=permissions_id[k][scopes[k].indexOf("shopping")]%>" <% } %>>zakupy</li>
                      <li class="list-group-item pt-2 pb-2 border-0"><input class="form-check-input me-2" type="checkbox" value="" data-scope="identity" <% if(scopes[k].includes("identity")) { %> checked
                          data-perm-id="<%=permissions_id[k][scopes[k].indexOf("identity")]%>" <% } %>>identyfikacja</li>
                    </div>
                    <div class="mt-3">
                      <nav aria-label="breadcrumb">
                        <ol class="breadcrumb mb-1">
                          <li class="breadcrumb-item active" aria-current="page">profile</li>
                        </ol>
                      </nav>
                      <li class="list-group-item pt-2 pb-2 border-0"><input class="form-check-input me-2" type="checkbox" value="" data-scope="investment" <% if(scopes[k].includes("investment")) { %> checked
                          data-perm-id="<%=permissions_id[k][scopes[k].indexOf("investment")]%>" <% } %>>inwestycyjny</li>
                      <li class="list-group-item pt-2 pb-2 border-0"><input class="form-check-input me-2" type="checkbox" value="" data-scope="business" <% if(scopes[k].includes("business")) { %> checked
                          data-perm-id="<%=permissions_id[k][scopes[k].indexOf("business")]%>" <% } %>>biznesowy</li>
                    </div>
                  </ul>
                </div>
              </div>
            </div>
            <% } %>

          </div>
        </div>
        <% } else { %>
        <div class="mdc-card justify-content-center align-items-center">
          <h7> brak zgód dla klientów biznesowych </h7>
        </div>
        <% } %>
      </div>
    </div>
  </div>


  <!-- <script src="/js/data_tables.js" charset="utf-8"></script> -->
  <!-- SCRIPTS -->
  <script src="/js/permissions.js" charset="utf-8"></script>
